Saltar al contenido principal
PUT
/
v1
/
production
/
operations
/
{operationReference}
/
inspectionSteps
/
{stepReference}
Edit an existing inspection step
curl --request PUT \
  --url https://api.bold-factory.com/v1/production/operations/{operationReference}/inspectionSteps/{stepReference} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "minutesDuration": 123,
  "name": "<string>",
  "frequency": 123,
  "notes": "<string>"
}
'
{
  "type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
  "title": "Filter parsing failed",
  "status": 400,
  "detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
  "instance": "POST /v1/items/products/search",
  "code": "FILTER_PARSING_FAILED"
}

Autorizaciones

Authorization
string
header
requerido

Use a valid JWT token in the Authorization header with the format 'Bearer {token}'

Parámetros de ruta

stepReference
string
requerido
operationReference
string
requerido

Cuerpo

application/json
inspectionType
enum<string>
requerido
Opciones disponibles:
Simple,
Boolean,
Decimal,
Text,
Photo,
File
minutesDuration
number<double>
requerido
name
string
requerido
when
enum<string>
requerido
Opciones disponibles:
OnceBeginning,
PerUnit,
OnceEnd
frequency
null | number<double>
notes
null | string

Respuesta

No Content